Bug 1464203 - Disk space issues when running upgrade from 5.7 to 5.8
Disk space issues when running upgrade from 5.7 to 5.8
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Build (Show other bugs)
5.8.0
Unspecified Unspecified
unspecified Severity high
: GA
: 5.8.1
Assigned To: Satoe Imaishi
luke couzens
black:upgrade:migration
: ZStream
Depends On: 1454884
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 12:05 EDT by Satoe Imaishi
Modified: 2017-08-02 13:33 EDT (History)
11 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1454884
Environment:
Last Closed: 2017-08-02 13:33:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 luke couzens 2017-06-29 07:46:55 EDT
What exactly am I verifying here?

I mean I can confirm that the new 5.8.1 image has the new partition configuration, but that does not solve the current disk space issue during upgrades.

Do I either need to confirm the additional commands to changing the disk partitions manually, (these commands still need to be added to the upgrade docs)
or is it a case of performing the upgrades with backup and restore options so we get the new partition configuration? (this would need to be done on all upgrades and updates i.e 5.6-5.8.1, 5.7-5.8.1 and 5.8.0.17 to 5.8.1)
Comment 3 Satoe Imaishi 2017-06-29 10:04:39 EDT
As far as I know, no code change is expected for the existing appliances. 

Not sure if we have a doc BZ or not - if we don't, it's probably a good idea to use this BZ to confirm the doc change as well so we cover both new and existing deployments.

Andrew - can you please provide the status for the doc change?
Comment 5 luke couzens 2017-07-03 05:52:03 EDT
Hi Andrew,

Just to clarify the steps listed in that 'Known_issues' link were just a quick work around and not the official steps we should add to the upgrade documentation.

Here are the revised ones.

yum -y install xfsdump
xfsdump -F -f /tmp/repo /repo
umount /repo
lvremove -f /dev/VG-CFME/lv_repo
lvcreate --yes -L 1GB -n lv_repo VG-CFME
mkfs.xfs /dev/VG-CFME/lv_repo
mount /dev/VG-CFME/lv_repo /repo
xfsrestore -f /tmp/repo /repo
lvextend --resizefs --size +9GB /dev/VG-CFME/lv_var
Comment 6 luke couzens 2017-07-04 04:59:29 EDT
Marking this as verified. 

The above steps have been added to the documentation and tracked in #1467461, I have also tried and tested them and confirmed they work.
Comment 8 errata-xmlrpc 2017-08-02 13:33:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.